get
https://apihub.educacional.com/manager/v1/users/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
API used to fetch user data from on-demand integration.
Collection Postman<https://gitlab.com/hub-educacional-public/docs/on-demand-integration-api>
Return structure
{
"usuario": {
"id": "12460051-5D44-11EE-912B-024B7CBA9E83",
"codigo_usuario": "alunofernando",
"nome_usuario": "Aluno Fernando",
"idade": "2010-01-01T00:00:00",
"cpf": "08224667081",
"telefone": "88999610133",
"papel": "aluno",
"email_usuario": "[email protected]"
}
}Request
-
PROD:
GEThttps://apihub.educacional.com/manager/v1/users/{user_id} -
QA:
GEThttps://qa-apihub.educacional.com/manager/v1/users/{user_id} -
Mandatory Headers
- Autenticação
"x-api-key": "apikey.hubeducacionalpontocom"Filters:
To filter by user, it is mandatory to enter the user_id, org_id and app_id:
Item | Tipo | Exemplo |
|---|---|---|
user_id | String | 12460051-5D44-11EE-912B-024B7CBA9E83 |
org_id | String | ac5ac086-9418-475e-a9f6-483d9c02ec40 |
app_id | String | AEB82BF1-BC31-11ED-9CF9-02738881DE40 |
Request example
The example below will return all operations made at the institution since its creation.
- Code 200
- Status: OK
- Example:
{
"usuario": {
"id": "12460051-5D44-11EE-912B-024B7CBA9E83",
"codigo_usuario": "alunofernando",
"nome_usuario": "Aluno Fernando",
"idade": "2010-01-01T00:00:00",
"cpf": "08224667081",
"telefone": "88999610133",
"papel": "aluno",
"email_usuario": "[email protected]"
}
}- Code 400: Bad Request, when the code is not informed
- Code 401: Not Authorized, when the code passed is from an institution not linked to Edtech
- Code 404: Not Found, when the code entered is not in the HUB.
- Code 500: Internal Error